# List

Launch stage: GA

`GET /api/2.0/postgres/{parent=projects/*/branches/*}/databases`

List Databases.

API scopes: postgres

## Path parameters

- `parent` (string, optional)
  The Branch that owns this collection of databases.
   Format: projects/{project_id}/branches/{branch_id}

## Query parameters

- `page_token` (string, optional)
  Pagination token to go to the next page of Databases. Requests first page if absent.
- `page_size` (int32, optional)
  Upper bound for items returned.

## Returns

Returns a list of Database objects.

## Response

```json
{
  "databases": [
    {
      "name": "string",
      "parent": "string",
      "create_time": "string",
      "update_time": "string",
      "spec": {},
      "status": {},
      "database_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

